%define name skipstone
%define version 0.7.1
%define release 1mdk

Summary: SkipStone is a simple Gtk+ web browser that utlizes Mozilla's gecko engine.
name: %name
Version: %version
Release: %release
License: GPL
Group: Networking/WWW
Source: %name-%version.tar.bz2
URL: http://www.muhri.net/skipstone
Buildroot: %_tmppath/%name-buildroot
Requires: gtk+ >= 1.2.6 mozilla
Buildrequires: mozilla-devel

%description
SkipStone is a simple Gtk+ web browser that utlizes Mozilla's gecko engine.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n skipstone-0.7.1

%build

%make

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_datadir/skipstone/pixmaps/default

install -c -m644 pixmaps/*.xpm $RPM_BUILD_ROOT%_datadir/skipstone/pixmaps/default/

install -m 755 src/skipstone-bin $RPM_BUILD_ROOT%_bindir/
install -m 755 src/skipstone $RPM_BUILD_ROOT%_bindir/
install -m 755 src/skipdownload $RPM_BUILD_ROOT%_bindir/

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/skipstone"\
title="Skipstone"\
longtitle="Web browser"\
needs="x11"\
section="Networking/WWW"
EOF
)  

%post 
%update_menus

%postun
%clean_menus


%files
%defattr(-,root,root)
%doc README AUTHORS INSTALL ChangeLog COPYING README.copying
%_bindir/*
%_datadir/skipstone
%_menudir/*

%changelog
* Fri Feb 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- updated to 0.7.1

* Fri Dec 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- new in contribs
